Bug 118340 - xmms playback skips when running other programs
xmms playback skips when running other programs
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Ingo Molnar
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-15 13:34 EST by Joshua Sunshine
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:28:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Sunshine 2004-03-15 13:34:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
Xmms playback skips when I run other programs, particularly when I
open mozilla. The skips occur extemely often when I try to listen to
music in the background while performing other tasks.

Version-Release number of selected component (if applicable):
xmms-1.2.7-22.1.p

How reproducible:
Always

Steps to Reproduce:
1. Play a song in XMMS
2. Open Mozilla
3. Browse
    

Actual Results:  .25-1 second skips in song playback

Expected Results:  no skipping

Additional info:

This bug is similar to #100422 except I have the same problem in
Enterprise Linux.
Comment 1 Bill Nottingham 2004-03-15 13:48:32 EST
This is really related to kernel scheduling more than anything else.
Comment 2 Igor Loncarevic 2004-04-01 14:34:25 EST
I noticed that this is related with platform -- Athlon systems are
experiencing skip/pause in playback; notable when disk is accessed. 

On Intel system, with less memory (1/4) and less MHz (1/2) XMMS is
playing everything without problems.
Comment 3 Ingo Molnar 2004-08-18 07:30:58 EDT
Is xmms running at normal priority?
Comment 4 Luis 2005-11-11 07:34:16 EST
It happens also to me on an INTEL system 512 Mb RAM, centrino 1.5 Ghz
But it is not only a skip but a completely paused  when disk is accessed with
FC4/xmms-1.2.10-16

The annoying thing is that the only way to reenable sound is pause/play the song
or start a new one. The sound does not return after accesing the disk is finished.

It had never happened before with FC3

xmms running with priority -2 in my system. No error message found.

It happens with all fedora fc4 kernels and latest vanilla kernel.
Comment 6 RHEL Product and Program Management 2007-10-19 15:28:55 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.